/* ==========================================================
   TEAMSPORT STURANY 2.0
   STYLE.CSS
   VERSION 1.0
========================================================== */

/* ==========================
   GOOGLE FONTS
========================== */

@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&family=Poppins:wght@600;700;800&display=swap');

/* ==========================
   RESET
========================== */

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{

    font-family:'Inter',sans-serif;
    background:#f7f8fa;
    color:#222;
    overflow-x:hidden;

}

img{

    max-width:100%;
    display:block;

}

a{

    text-decoration:none;
    color:inherit;

}

button{

    font-family:inherit;
    cursor:pointer;

}

/* ==========================
   VARIABLES
========================== */

:root{

    --primary:#2f5b50;

    --primary-dark:#214239;

    --light:#f7f8fa;

    --white:#ffffff;

    --text:#5d6470;

    --dark:#1e2229;

    --border:#e6e8ed;

    --radius:22px;

    --shadow:0 15px 40px rgba(0,0,0,.08);

    --transition:.35s;

}

/* ==========================
   CONTAINER
========================== */

.container{

    width:min(1280px,92%);
    margin:auto;

}

/* ==========================
   TYPOGRAPHY
========================== */

h1,h2,h3,h4{

    font-family:'Poppins',sans-serif;
    color:var(--dark);

}

h1{

      font-size:clamp(3rem,5vw,4.4rem);

    line-height:1.05;

    max-width:620px;

    margin-bottom:28px;


}

h2{

    font-size:clamp(2rem,4vw,3rem);

}

h3{

    font-size:1.5rem;

}

p{

    color:var(--text);
    line-height:1.8;

}

section{

    padding:110px 0;

}

/* ==========================
   BUTTONS
========================== */

.btn{

    display:inline-flex;

    align-items:center;

    justify-content:center;

    padding:18px 38px;

    border-radius:999px;

    font-weight:600;

    transition:.3s;

}

.btn-primary{

    background:var(--primary);

    color:white;

    box-shadow:var(--shadow);

}

.btn-primary:hover{

    background:var(--primary-dark);

    transform:translateY(-4px);

}

.btn-secondary{

    border:2px solid var(--primary);

    color:var(--primary);

    background:white;

}

.btn-secondary:hover{

    background:var(--primary);

    color:white;

}

/* ==========================
   HEADER
========================== */

.header{

    position:fixed;

    top:0;

    left:0;

    width:100%;

    z-index:1000;

    background:rgba(255,255,255,.92);

    backdrop-filter:blur(18px);

    -webkit-backdrop-filter:blur(18px);

    border-bottom:1px solid rgba(0,0,0,.05);

    transition:.35s;

}

.header .container{

    height:90px;

    display:flex;

    align-items:center;

    justify-content:space-between;

}


  .logo img{

    height:160px;

    width:auto;

    display:block;

}


.nav-links{

    display:flex;

    gap:40px;

    list-style:none;

}

.nav-links a{

    position:relative;

    font-weight:600;

    color:var(--dark);

    padding:8px 0;

    transition:.35s;

}

.nav-links a::after{

    content:"";

    position:absolute;

    left:0;

    bottom:-6px;

    width:0;

    height:3px;

    background:var(--primary);

    border-radius:999px;

    transition:.35s;

}

.nav-links a:hover{

    color:var(--primary);

}

.nav-links a:hover::after,

.nav-links a.active::after{

    width:100%;

}

.nav-links a.active{

    color:var(--primary);

}


.header-button{

    background:var(--primary);

    color:white;

    padding:14px 26px;

    border-radius:999px;

    transition:.3s;

}

.header-button:hover{

    background:var(--primary-dark);

}

/* ==========================
   HERO
========================== */

.hero{

    position:relative;

    overflow:hidden;

    padding-top:110px;

    background:#f7f8fa;

}

.hero::before{

    content:"";

    position:absolute;

    top:-220px;

    right:-220px;

    width:700px;

    height:700px;

    border-radius:50%;

    background:radial-gradient(circle,
    rgba(47,91,80,.08),
    rgba(47,91,80,.02));

}

.hero-content{

    display:grid;

    grid-template-columns:55% 45%;

    align-items:center;

    min-height:60px;

    gap:20px;

    position:relative;

    z-index:2;

}

.hero h1{

    font-size:clamp(3rem,5vw,4.5rem);

    line-height:1.05;

    margin:25px 0;

}

.hero p{

    font-size:1.1rem;

    max-width:560px;

    margin-bottom:40px;

}

.hero-badge{

    display:inline-flex;

    align-items:center;

    background:#eef7f3;

    color:var(--primary);

    padding:12px 24px;

    border-radius:999px;

    font-weight:700;

}

.hero-buttons{

    display:flex;

    gap:18px;

    margin-bottom:45px;

}

.hero-features{

    display:flex;

    gap:35px;

    flex-wrap:wrap;

}

.hero-features div{

    font-weight:600;

    color:#555;

}

.hero-image{

    position:relative;

    display:flex;

    justify-content:center;

    align-items:center;

    height:650px;

}

.hero-circle{

position:absolute;

width:620px;

height:620px;

border-radius:50%;

background:

radial-gradient(circle at center,

rgba(47,91,80,.12),

rgba(47,91,80,.02)

);

filter:blur(2px);

z-index:1;

}

.hero-dots{

position:absolute;

right:40px;

top:120px;

width:160px;

height:160px;

background-image:

radial-gradient(

rgba(47,91,80,.25) 2px,

transparent 2px

);

background-size:18px 18px;

z-index:1;

}

.hero-image img{

    position:relative;

    z-index:3;

    width:100%;

    max-width:520px;

    object-fit:contain;

    filter:drop-shadow(0 45px 50px rgba(0,0,0,.18));

    animation:floatImage 5s ease-in-out infinite;

}
.hero-shadow{

position:absolute;

bottom:65px;

width:260px;

height:40px;

background:rgba(0,0,0,.12);

filter:blur(25px);

border-radius:50%;

z-index:0;

}

.hero-floating-card{

    position:absolute;

    top:80px;

    right:-20px;

    background:rgba(255,255,255,.95);

    backdrop-filter:blur(14px);

    padding:26px 34px;

    border-radius:24px;

    box-shadow:
        0 20px 60px rgba(0,0,0,.12);

    z-index:10;

    animation:floatCard 6s ease-in-out infinite;

}

.hero-floating-card h3{

    font-size:2.5rem;

    color:var(--primary);

    margin-bottom:6px;

}

.hero-floating-card p{

    margin:0;

    color:#666;

    font-weight:600;

}
.hero-floating-card h3{

    color:var(--primary);

    font-size:2rem;

}

.hero-right{

    position:relative;

    display:flex;

    justify-content:center;

    align-items:center;

    min-height:720px;

}

.hero-background{

    position:absolute;

    width:620px;

    height:620px;

    border-radius:40% 60% 55% 45% / 45% 40% 60% 55%;

    background:linear-gradient(
        135deg,
        #eef7f3,
        #dfeee8
    );

    transform:rotate(-15deg);

    z-index:1;

}

.hero-shirt{

    position:relative;

    width:100%;

    max-width:450px;

    z-index:5;

    filter:

        drop-shadow(0 45px 65px rgba(0,0,0,.18));

    animation:floatShirt 5s ease-in-out infinite;

}

.hero-right::after{

    content:"";

    position:absolute;

    bottom:120px;

    width:280px;

    height:38px;

    border-radius:50%;

    background:rgba(0,0,0,.12);

    filter:blur(28px);

    z-index:0;

}

.hero{

    background:

    radial-gradient(

        circle at right,

        rgba(47,91,80,.05),

        transparent 35%

    ),

    #f8faf9;

}

/* ==========================================================
   SECTION HEADINGS
========================================================== */

.section-heading{

    text-align:center;

    max-width:750px;

    margin:0 auto 70px;

}

.section-heading span{

    display:inline-block;

    color:var(--primary);

    font-weight:700;

    letter-spacing:2px;

    margin-bottom:18px;

}

.section-heading h2{

    margin-bottom:20px;

}

.section-heading p{

    font-size:1.05rem;

}

/* ==========================================================
   SERVICES
========================================================== */

.services{

    background:#ffffff;

}


.leistungen-swiper{

    overflow:hidden;

}

.leistungen-swiper .swiper-wrapper{

    display:grid;

    grid-template-columns:repeat(3,1fr);

    gap:30px;

}

.leistungen-swiper .swiper-slide{

    width:auto !important;

    height:auto;

}

.leistungen-swiper .service-card{

    height:100%;

}



/* ==========================================================
   VEREINSSHOPS
========================================================== */
.clubs{

    background:var(--light);

}

.clubs-grid{

    display:grid;

    grid-template-columns:repeat(4,1fr);

    gap:28px;

}

.club-card{

    background:white;

    border-radius:26px;

    padding:45px 30px;

    text-align:center;

    box-shadow:var(--shadow);

    transition:.35s;

}

.club-card:hover{

    transform:translateY(-10px);

}

.club-card img{

    width:120px;

    height:120px;

    object-fit:contain;

    margin:auto;

    margin-bottom:25px;

}

.club-card h3{

    margin-bottom:10px;

}

.club-card p{

    margin-bottom:30px;

}

.club-button{

    display:inline-block;

    background:var(--primary);

    color:white;

    padding:15px 28px;

    border-radius:999px;

    transition:.3s;

}

.club-button:hover{

    background:var(--primary-dark);

}



/* ==========================================================
   GALERIE
========================================================== */

.gallery-page{

    background:#fff;

}

.gallery-grid-page{

    display:grid;

    grid-template-columns:repeat(3,1fr);

    gap:28px;

}

.gallery-item{

    position:relative;

    overflow:hidden;

    border-radius:24px;

    box-shadow:var(--shadow);

    cursor:pointer;

    transition:.35s;

}

.gallery-item:hover{

    transform:translateY(-8px);

}

.gallery-item img{

    width:100%;

    height:320px;

    object-fit:cover;

    transition:.45s;

}

.gallery-item:hover img{

    transform:scale(1.08);

}

.gallery-item::after{

    content:"";

    position:absolute;

    inset:0;

    background:rgba(0,0,0,.25);

    opacity:0;

    transition:.35s;

}

.gallery-item:hover::after{

    opacity:1;

}



/* ==========================================================
   GALERIE STARTSEITE
========================================================== */

.gallery-preview{

    background:white;

}

.gallery-grid{

    display:grid;

    grid-template-columns:repeat(2,1fr);

    gap:40px;

}

.gallery-card{

    overflow:hidden;

    background:white;

    border-radius:28px;

    box-shadow:var(--shadow);

    transition:.35s;

}

.gallery-card:hover{

    transform:translateY(-10px);

}

.gallery-card img{

    width:100%;

    height:280px;

    object-fit:cover;

    display:block;

    transition:.4s;

}

.gallery-card:hover img{

    transform:scale(1.05);

}

.gallery-content{

    padding:35px;

}

.gallery-content h3{

    margin-bottom:15px;

}

.gallery-content p{

    margin-bottom:25px;

}

.gallery-button{

    display:inline-flex;

    padding:14px 24px;

    background:var(--primary);

    color:white;

    border-radius:999px;

    transition:.3s;

}

.gallery-button:hover{

    background:var(--primary-dark);

}

.gallery-more{

    text-align:center;

    margin-top:60px;

}

@media(max-width:768px){

    .gallery-grid{

        grid-template-columns:1fr;

    }

    .gallery-card img{

        height:240px;

    }

}


/* ==========================================================
   STATISTIK
========================================================== */

.stats{

    background:linear-gradient(135deg,#23483f,#2f5b50);

    color:white;

}

.stats-grid{

    display:grid;

    grid-template-columns:repeat(4,1fr);

    gap:30px;

}

.stat-card{

    background:rgba(255,255,255,.08);

    backdrop-filter:blur(10px);

    padding:45px 20px;

    border-radius:22px;

    text-align:center;

}

.stat-card h2{

    color:white;

    font-size:3rem;

    margin-bottom:10px;

}

.stat-card p{

    color:rgba(255,255,255,.85);

}

/* ==========================================================
   CONTACT
========================================================== */

.contact{

    background:#ffffff;

}

.contact-wrapper{

    display:grid;

    grid-template-columns:1fr 1fr;

    gap:70px;

    align-items:start;

}

.contact-info span{

    display:inline-block;

    color:var(--primary);

    font-weight:700;

    letter-spacing:2px;

    margin-bottom:18px;

}

.contact-info h2{

    margin-bottom:25px;

}

.contact-info p{

    margin-bottom:20px;

}

.contact-box{

    background:#fff;

    border:1px solid var(--border);

    border-radius:14px;

    padding:22px;

    margin-top:18px;

    box-shadow:0 8px 25px rgba(0,0,0,.05);

}

.contact-box h4{

    margin-bottom:8px;

    color:var(--primary);

}

.contact-box a{

    color:var(--dark);

    font-weight:600;

}

.contact-form{

    background:white;

    border-radius:28px;

    padding:40px;

    border:1px solid var(--border);

    box-shadow:var(--shadow);

    margin-top:212px;

}

.contact-form h3{

    margin-bottom:12px;

    color:var(--primary);

}

.form-intro{

    margin-bottom:28px;

    color:var(--text);

    line-height:1.6;

}

.contact-form form{

    display:flex;

    flex-direction:column;

    gap:20px;

}

.contact-form input,

.contact-form textarea{

    width:100%;

    padding:18px 20px;

    border-radius:16px;

    border:1px solid var(--border);

    font-size:16px;

    transition:.3s;

    outline:none;

}

.contact-form input:focus,

.contact-form textarea:focus{

    border-color:var(--primary);

    box-shadow:0 0 0 4px rgba(47,91,80,.12);

}

.contact-form textarea{

    resize:vertical;

}

/* ==========================================================
   FOOTER
========================================================== */

.footer{

    background:#1d2422;

    color:white;

    padding:80px 0 30px;

}

.footer-wrapper{

    display:grid;

    grid-template-columns:2fr 1fr 1fr 1fr;

    gap:60px;

}

.footer-logo img{

    width:100px;

    margin-bottom:10px;

}

.footer-logo p{

    color:rgba(255,255,255,.75);

    max-width:100px;

}

.footer-links h4{

    color:white;

    margin-bottom:22px;

}

.footer-links a{

    display:block;

    margin-bottom:14px;

    color:rgba(255,255,255,.88);

    transition:.3s;

}

.footer-links a:hover{

    color:white;

    padding-left:8px;

}

.footer-links a{

    display:block;

    margin-bottom:12px;

    color:rgba(255,255,255,.75);

    transition:.3s;

}

.footer-links a:hover{

     color:#ffffff;

    padding-left:6px;

}

.footer-info p{

    color:rgba(255,255,255,.75);

    line-height:1.8;

    max-width:320px;

}

.copyright{

    border-top:1px solid rgba(255,255,255,.1);

    text-align:center;

    padding-top:30px;

    color:rgba(255,255,255,.6);

}

/* ==========================================================
   ANIMATIONEN
========================================================== */

.service-card,
.club-card,
.gallery-card,
.stat-card,
.contact-form{

    transition:.35s ease;

}

.service-card:hover,
.club-card:hover,
.gallery-card:hover,
.contact-form:hover{

    transform:translateY(-8px);

}

.hero-image img{

    animation:floatImage 5s ease-in-out infinite;

}

@keyframes floatImage{

    0%{

        transform:translateY(0px);

    }

    50%{

        transform:translateY(-12px);

    }

    100%{

        transform:translateY(0px);

    }

}

.fade-up{

    opacity:0;

    transform:translateY(40px);

    transition:1s;

}

.fade-up.show{

    opacity:1;

    transform:none;

}

/* ==========================================================
   MOBILE MENU
========================================================== */

.menu-toggle{

    display:none;

    flex-direction:column;

    gap:6px;

    background:none;

    border:none;

}

.menu-toggle span{

    width:28px;

    height:3px;

    background:var(--primary);

    border-radius:20px;

    transition:.3s;

}

.menu-toggle.active span:nth-child(1){

    transform:rotate(45deg) translateY(12px);

}

.menu-toggle.active span:nth-child(2){

    opacity:0;

}

.menu-toggle.active span:nth-child(3){

    transform:rotate(-45deg) translateY(-12px);

}

/* Desktop Leistungen Swiper */

@media (min-width:769px){

    .leistungen-swiper .swiper-wrapper{

        display:grid;

        grid-template-columns:repeat(3,1fr);

        gap:30px;

    }

    .leistungen-swiper{

    pointer-events:none;

}


.leistungen-swiper .service-card{

    pointer-events:auto;

}

}

/* Desktop Vereine Swiper */

@media (min-width:769px){

    .vereine-swiper .swiper-wrapper{

        display:grid;
        grid-template-columns:repeat(4,1fr);
        gap:28px;

    }

    .vereine-swiper{

        pointer-events:none;

    }

    .vereine-swiper .club-card{

        pointer-events:auto;

    }

}

/* Desktop Statistiken Swiper*/

@media (min-width:769px){

    .stats-swiper .swiper-wrapper{

        display:grid;
        grid-template-columns:repeat(4,1fr);
        gap:30px;

    }

    .stats-swiper{

        pointer-events:none;

    }

    .stats-swiper .stat-card{

        pointer-events:auto;

    }

}


@media(max-width:768px){

section{

padding:80px 0;

}

.header .container{

height:78px;

}

.navbar{

    display:none;

}

.navbar.active{

    display:block;

    position:fixed;

    top:78px;

    right:0;

    width:280px;

    height:calc(100vh - 78px);

    background:#fff;

    box-shadow:-12px 0 30px rgba(0,0,0,.12);

    padding:30px;

    z-index:999;

}

.navbar.active .nav-links{

    display:flex;

    flex-direction:column;

    gap:20px;

}

.navbar.active .nav-links a{

    display:block;

    padding:12px 0;

    font-size:18px;

}

.header-button{

display:none;

}

.menu-toggle{

display:flex;

margin-right:70px;

}

.hero{

    padding-top:95px;
    overflow:hidden;

}

.hero-content{

    display:flex;
    flex-direction:column;
    text-align:center;
    gap:40px;

}

.hero-left{

    order:1;

}

.hero-right{

    order:2;
    min-height:380px;

}

.hero h1{

    font-size:2.5rem;
    line-height:1.1;
    margin:20px auto;

}

.hero p{

    max-width:100%;
    margin:0 auto 30px;

}

.hero-buttons{

    flex-direction:column;
    gap:15px;

}

.btn{

    width:100%;

}

.hero-background{

    width:380px;
    height:380px;

}

.hero-shirt{

    max-width:240px;

}

.hero-floating-card{

    display:none;

}

.hero-dots{

    display:none;

}

.hero-shadow{

    display:none;

}

.hero-circle{

    width:380px;
    height:380px;

}


.clubs-grid{

grid-template-columns:1fr;

}

.gallery-grid{

    grid-template-columns:1fr;

}

.stats-grid{

    grid-template-columns:1fr;

}

.contact-wrapper{

    grid-template-columns:1fr;

}

.footer-wrapper{

    grid-template-columns:1fr;

    text-align:center;

}

.footer-logo p{

    margin:auto;

}

.stats-grid{

grid-template-columns:1fr;

}

.gallery-card img{

height:240px;

}

.gallery-grid-page{

    grid-template-columns:1fr;

}

.contact-form{

padding:5px;

margin-top:1px;

}

/* ==========================
   LEISTUNGEN MOBILE
========================== */

.leistungen-swiper{

    overflow:hidden;

}

.leistungen-swiper .swiper-wrapper{

    display:flex;

}

.leistungen-swiper .swiper-slide{

    width:88% !important;

    height:auto;

}

.leistungen-swiper .service-card{

    width:100%;

    margin:0;

}

.leistungen-swiper .swiper-pagination{

    position:relative;

    margin-top:30px;

}

/* Vereinsshops Mobile */

.vereine-swiper{

    overflow:hidden;

}

.vereine-swiper .swiper-wrapper{

    display:flex;

}

.vereine-swiper .swiper-slide{

    width:88% !important;

}

.vereine-pagination{

    position:relative;
    margin-top:30px;

}

/* Statistiken Mobile */

.stats-swiper{

    overflow:hidden;

}

.stats-swiper .swiper-wrapper{

    display:flex;

}

.stats-swiper .swiper-slide{

    width:88% !important;

}

.stats-pagination{

    position:relative;
    margin-top:30px;

}


}

.hero::before{

content:"";

position:absolute;

right:-120px;

top:-80px;

width:520px;

height:520px;

border-radius:50%;

background:rgba(47,91,80,.05);

z-index:0;

}

.hero-content{

position:relative;

z-index:2;

}

@keyframes floatCard{

0%{

transform:translateY(0);

}

50%{

transform:translateY(-10px);

}

100%{

transform:translateY(0);

}

}

.hero{

background:

radial-gradient(

circle at top right,

rgba(47,91,80,.05),

transparent 35%

),

#f7f8fa;

}

@keyframes floatShirt{

    0%{

        transform:translateY(0px);

    }

    50%{

        transform:translateY(-18px);

    }

    100%{

        transform:translateY(0px);

    }

}

svg.lucide{

    width:24px;

    height:24px;

    color:var(--primary);

    stroke-width:2;

    flex-shrink:0;

}

.service-icon{

    width:68px;

    height:68px;

    display:flex;

    justify-content:center;

    align-items:center;

    border-radius:50%;

    background:#eef7f3;

    margin-bottom:22px;

}

.service-icon svg{

    width:30px;

    height:30px;

}

.service-card{

    background:#fff;

    border-radius:24px;

    padding:40px 30px;

    box-shadow:var(--shadow);

    height:100%;

}

.service-card h3{

    margin-bottom:15px;

}

.service-card p{

    margin:0;

}


.leistungen-swiper .swiper-slide{

    width:85% !important;

}

.leistungen-swiper .swiper-pagination{

    position:relative;

    margin-top:30px;

}




/* ==========================================================
   IMPRESSUM / DATENSCHUTZ
========================================================== */

.legal-page{

    padding:150px 0 100px;

    background:#f7f8fa;

}

.legal-card{

    background:#fff;

    border-radius:28px;

    padding:50px;

    box-shadow:var(--shadow);

    max-width:950px;

    margin:0 auto;

}

.legal-card h3{

    margin-top:35px;

    margin-bottom:15px;

    color:var(--primary);

}

.legal-card h3:first-child{

    margin-top:0;

}

.legal-card p{

    margin-bottom:20px;

    line-height:1.9;

}

.legal-card a{

    color:var(--primary);

    font-weight:600;

}

@media(max-width:768px){

    .legal-page{

        padding:120px 0 80px;

    }

    .legal-card{

        padding:30px 24px;

    }

}



